package com.usoft.fin.grpc.bl.constants;

/**
 *  数据库表字段状态
 *
 * @author wangdy
 * @date 2018-08-27 10:44
 */
public enum Status {

    /**
     * 额度申请通过
     */
    CREDIT_APPLY_PASS(100),
    /**
     * 额度申请审核不通过
     */
    CREDIT_APPLY_UNPASS(102),
    /**
     * 额度申请审核中
     */
    CREDIT_APPLY_WAITTING(101),
    /**
     * 额度申请编辑中
     */
    CREDIT_APPLY_EDIT(103),
    /**
     * 提款申请审核中
     */
    DRAW_APPLY_WAITTING(201),
    /**
     * 提款申请审核不通过
     */
    DRAW_APPLY_FAIL(202),
    /**
     * 提款申请审核通过
     */
    DRAW_APPLY_SUCCESS(200),
    /**
     * 提款申请已打款
     */
    DRAW_APPLY_DRAW_SUCCESS(210),
    /**
     * 提款申请未打款
     */
    DRAW_APPLY_DRAW_FAIL(211),
    /**
     * 还款计划-未还款
     */
    REPAY_NOT_PAY(301),
    /**
     * 还款计划-已失效
     */
    REPAY_EXPIRED(302),
    /**
     * 还款计划-已还款
     */
    REPAY_REPAID(300);

    private int code;

    Status(int code) {
        this.code = code;
    }

    public short value() {
        return (short)code;
    }
}
